#ifndef IUSERINTERFACE_H
#define IUSERINTERFACE_H

#include <memory>
#include <wx/aui/aui.h>
#include <wx/wx.h>

#include "ControlManager.h"

class UserInterface final : public wxFrame
{
public:
    explicit UserInterface(const wxString& title);
    ~UserInterface() override;

private:
    void InitUI();
    void InitData();

private:
    wxAuiManager mgr_;
    std::shared_ptr<ControlManager> controlMgr_;
};

#endif   // IUSERINTERFACE_H